%define module  IO-Socket-SSL
%define name    perl-%{module}
%define version 1.23
%define revision %{version}
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Nearly transparent SSL encapsulation for IO::Socket::INET
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}/
Source:         http://www.cpan.org/modules/by-module/IO/%{module}-%{revision}.tar.bz2
Requires:       perl(Net::SSLeay) >= 1.21
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Net::SSLeay) >= 1.21
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
IO::Socket::SSL is a class implementing an object oriented
interface to SSL sockets. The class is a descendent of
IO::Socket::INET and provides a subset of the base class's
interface methods.

%prep
%setup -q -n %{module}-%{revision}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes util docs certs
%{_mandir}/*/*
%{perl_vendorlib}/IO



%changelog
* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.1
+ Revision: 344391
- update to new version 1.23

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2009.1
+ Revision: 333405
- update to new version 1.22

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2009.1
+ Revision: 332799
- update to new version 1.21

* Fri Jan 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 330184
- update to new version 1.20

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2009.1
+ Revision: 324505
- update to new version 1.19

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2009.1
+ Revision: 305733
- update to new version 1.18

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2009.1
+ Revision: 294664
- update to new version 1.17

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2009.1
+ Revision: 292190
- update to new version 1.16

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2009.0
+ Revision: 277950
- update to new version 1.15

* Thu Jul 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdv2009.0
+ Revision: 236721
- update to new version 1.14

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.13-2mdv2009.0
+ Revision: 223798
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2008.1
+ Revision: 104553
- update to new version 1.12

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2008.1
+ Revision: 98019
- update to new version 1.11
- update to new version 1.11

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2008.0
+ Revision: 63958
- update to new version 1.08

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2008.0
+ Revision: 46638
- update to new version 1.07

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.06-1mdv2008.0
+ Revision: 20229
- 1.06


* Mon Sep 04 2006 Anssi Hannula <anssi@mandriva.org>
+ 2006-09-03 16:17:30 (59689)
Use module requires as per perl policy

* Fri Aug 18 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-17 22:40:50 (56700)
-Version 0.99.9

* Sun Aug 13 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-12 12:32:52 (55724)
Removed trailing dot from summary

* Sun Aug 13 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-12 12:29:08 (55723)
Version 0.998

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 20:50:25 (53359)
Fixed Bug 24144 Can't install perl-IO-Socket-SSL because perl-Net_SSLeay doesn't provide perl(Net_SSLeay)

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 20:34:41 (53357)
import perl-IO-Socket-SSL-0.99.7-1mdv2007.0

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.99.7-1mdv2007.0
- New version (upstream version 0.997)
- dropped fileno patch (merged)

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 0.97-5mdk
- Restored versioned Requires for perl-Net_SSLeay

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 0.97-4mdk
- patched fileno == 0 bug in fileno method
- Updated to comply with Mandriva perl packaging policies

* Sat Jan 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.97-3mdk
- add BuildRequires: perl-Net_SSLeay

* Fri Jan 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.97-2mdk
- Add tests, update BuildRequires

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.97-1mdk
- 0.97

* Tue Jul 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.96-1mdk
- 0.96.
- Removed MANIFEST.

